javascript هيستوك، إرور: ونكوت تيبيريرور: w[(قيمة وسيطة)(قيمة وسيطة)(قيمة وسيطة)] ليس منشئ




pug options (2)

أنا أحاول إنشاء مخطط هيستوك، ولكن أنا الحصول على الخطأ التالي:

خطأ: ونكوت تيبيريرور: w [(قيمة وسيطة) (قيمة وسيطة) (قيمة وسيطة)] ليس منشئ

بلدي جسون يبدو صالحا، وجافا سكريبت بلدي أيضا، أي فكرة كيفتو إصلاح هذا؟

جافا سكريبت:

    $.getJSON('<?php echo SITE_URL; ?>analytic/weekly_views_json', function(data) 
    {
       // Create the chart
        $('#container2').highcharts('StockChart', {

            rangeSelector: {
                selected: 1
            },

            title: {
                text: 'AAPL Stock Price'
            },

            series: [{
                name: 'AAPL Stock Price',
                data: data,
                type: 'spline',

            }]
        });
    });

سلمان:

[[1420547368,1],[1423225768,1],[1425644968,1],[1428319768,1],[1430911768,1],[1433590168,1],[1452083368,1],[1454761768,1],[1457267368,1],[1458131368,1],[1459942168,1],[1494070168,1]]

هذا عمل بالنسبة لي

<script src="../lib/highcharts.js"/>
<script src="../lib/highcharts-more.js"/>

 var chart = new Highcharts.Chart({
                    chart: {
                        renderTo: 'Temperature'
                    },
                    title: {
                        text: 'HighStock'
                    },
                    legend: {
                        enabled: true
                    },
                    xAxis: {
                        categories: ['1','2','3','4'],
                        title: {
                            text: 'day'
                        }
                    },
                    yAxis: {
                        title: {
                            text: 'values'
                        }
                    },
                    series: [{
                        name: 'temperature',
                        data: [
                            [5,30],[10,35],[15,40],[20,45]
                        ],
                    }]
                });

الحل الأول:

كان لي نفس الخطأ، وأنا استخدم highchart النحو التالي في بلدي كود HTML :

<head>
<script src="https://code.highcharts.com/highcharts.js"></script>
...
</head>

وكان رمز js بي:

$('#container').highcharts('StockChart', {
...
});

فيما يتعلق highchart documention ، يجب علينا استخدام Highcharts.Chart لإنشاء highstock جديدة. لذلك غيرت الرمز الخاص بي إلى:

<head>
<script src="https://code.highcharts.com/highcharts.js"></script>
...
</head>

وكان رمز js بي:

var chart = new Highcharts.Chart({
        chart: {
                renderTo: 'container'
            },
...
});

وقد تم حل هذا الخطأ!

الحل الثاني:

أيضا فيما يتعلق بهذه الوثائق ، إذا كنت تقوم بتشغيل الرسم البياني و ستوكشارت في تركيبة، تحتاج فقط لتحميل الملف highstock.js.

لذلك غيرت شفرة بلدي إلى:

<head>
<script src="https://code.highcharts.com/stock/highstock.js"></script>
...
</head>

وكان رمز js بي:

var chart = new Highcharts.Chart({
        chart: {
                renderTo: 'container'
            },
...
});




highstock